Skip Menu |
 

This queue is for tickets about the Test-Harness CPAN distribution.

Report information
The Basics
Id: 29420
Status: resolved
Priority: 0/
Queue: Test-Harness

People
Owner: andy [...] hexten.net
Requestors: SAPER [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 2.64
Fixed in: (no value)

Attachments


Subject: [PATCH] Make prove work under Perl 5.005
Download (untitled) / with headers
text/plain 170b
Hello, Attached is a small patch to make prove(1) work under Perl 5.005. With this patch, all tests pass under 5.005_03.. Regards -- Close the world, txEn eht nepO.
Subject: Test-Harness-2.64-perl5.5.diff
diff -ru Test-Harness-2.64-orig/bin/prove Test-Harness-2.64/bin/prove --- Test-Harness-2.64-orig/bin/prove 2006-10-06 21:35:25.000000000 +0200 +++ Test-Harness-2.64/bin/prove 2007-09-17 14:18:41.708448873 +0200 @@ -100,8 +100,14 @@ } sub print_version { - printf( "prove v%s, using Test::Harness v%s and Perl v%vd\n", - $VERSION, $Test::Harness::VERSION, $^V ); + if ($] > 5.006) { + printf( "prove v%s, using Test::Harness v%s and Perl v%vd\n", + $VERSION, $Test::Harness::VERSION, $^V ); + } + else { + printf( "prove v%s, using Test::Harness v%s and Perl v%s\n", + $VERSION, $Test::Harness::VERSION, $] ); + } } __END__
T::H 2.99 works under 5.5.4 and by mutual consent that's about as far back as we're going :)


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.